Bug 1479085 - Missing /usr/lib/jvm/jre/lib/arm/libjawt.so
Missing /usr/lib/jvm/jre/lib/arm/libjawt.so
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk-aarch32 (Show other bugs)
27
armv7hl Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alex Kashchenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 18:19 EDT by Sandro Mani
Modified: 2017-09-20 09:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2017-08-07 18:19:07 EDT
Description of problem:
I'm encountering a FTBFS of libkml on armv7hl due to [1]

Could NOT find JNI (missing: JAVA_AWT_LIBRARY)

Previously (using java-1.8.0-openjdk-aarch32-1:1.8.0.112-3.161109.fc26) this succeeded with

-- Found JNI: /usr/lib/jvm/jre/lib/aarch32/libjawt.so  

It looks like now with (with java-1.8.0-openjdk-aarch32-1:1.8.0.141-1.170721.fc27), stuff is placed under /usr/lib/jvm/jre/lib/arm/ (which is also scanned by FindJNI.cmake), but the libjawt.so is missing there.

[1] https://kojipkgs.fedoraproject.org//work/tasks/9723/21099723/build.log


Version-Release number of selected component (if applicable):
java-1.8.0-openjdk-aarch32-1:1.8.0.141-1.170721.fc27
Comment 1 Alex Kashchenko 2017-08-10 04:39:55 EDT
That change is not intended, will look at it.
Comment 2 Jan Kurik 2017-08-15 03:57:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 3 Alex Kashchenko 2017-08-20 05:02:03 EDT
Sorry for the delay, it will take another week, I currently cannot access the hardware I need to check this.
Comment 4 Alex Kashchenko 2017-08-29 06:55:50 EDT
Reproduced the problem with libkml Commit 180363. 

Symlinks from jre/lib/arm to jre/lib/aarch32 are the same in both 8u141 and 8u131. The problem is that in F27 java-1.8.0-openjdk-aarch32-headless for some reason started depending on java-1.8.0-openjdk-headless. With java-1.8.0-openjdk-headless installed, /usr/lib/jvm/jre alternative is switched to it. This path is used by FindJNI.cmake.  

java-1.8.0-openjdk-headless does not contain jre/lib/arm/libjawt.so, it is placed into java-1.8.0-openjdk package (that is not installed in our case). Thus CMake looks only into /usr/lib/jvm/jre fails to find it. Though libjawt.so is available inside java-1.8.0-openjdk-aarch32 installation (on both jre/lib/aarch32 an jre/lib/arm paths) and libkml Commit 4b5da7 (with workaround that looks for libjawt.so manually) builds fine.

F26 is unaffected.

The reason for invalid dependency in F27 is not clear, going to find this out and include the fix into pending 8u144 update.
Comment 5 Fedora Update System 2017-09-07 11:34:47 EDT
java-1.8.0-openjdk-aarch32-1.8.0.144-1.170809.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbd3c5749b
Comment 6 Fedora Update System 2017-09-07 14:24:26 EDT
java-1.8.0-openjdk-aarch32-1.8.0.144-1.170809.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbd3c5749b

Note You need to log in before you can comment on or make changes to this bug.